/*

  SD Card Module

  Parts required:
  - Arduino Board
  - SD Card Module
  - SD Card

  Libraries required:
  - SPI (Included in Arduino IDE)
  - SD (Included in Arduino IDE)

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 6 Apr 2020
  Version : v1.0

*/

#include <SPI.h>                                    // include library SPI.h
#include <SD.h>                                     // include library SD.h

File myFile;                                        // create object myFile from File

void setup() {
  Serial.begin(9600);                               // start Serial Monitor communication
  while (!Serial) {                                 // wait for the Serial Monitor to be ready
  }

  Serial.println("Initializing SD Card...");        // print text to Serial Monitor

  if (!SD.begin(4)) {
    Serial.println("initialization failed!");       // print text to Serial Monitor
    while (1);
  }
  Serial.println("initialization done.");           // print text to Serial Monitor
  Serial.println("");                               // print empty line to Serial Monitor

  myFile = SD.open("test.txt");                     // open SD card file text.txt
  Serial.println("Opening SD Card.");               // print text to Serial Monitor
  if (myFile) {
    Serial.println("Reading from SD Card");         // print text to Serial Monitor
    Serial.println("Data from SD Card : ");           // print text to Serial Monitor
    while (myFile.available()) {                    // if SD card available do
      Serial.write(myFile.read());                  // write data to SD card
    }
    Serial.println("Closing SD Card.");             // print text to Serial Monitor
    myFile.close();                                 // close SD connection
  } else {
    Serial.println("error opening test.txt");       // if error on opening SD card print text to Serial Monitor
  }
}

void loop() {
  // nothing happens after setup
}
