/*

  SD Card Module

  Parts required:
  - Arduino Board
  - SD Card Module
  - SD Card

  Libraries required:
  - SPI (Included in Arduino IDE)
  - SD (Included in Arduino IDE)

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 6 Apr 2020
  Version : v1.0

  INFO: The program saves the data to the SD Card when sketch startup......

*/

#include <SPI.h>                                          // include library SPI.h
#include <SD.h>                                           // include library SD.h

File myFile;                                              // create object myFile from File

void setup() {
  Serial.begin(9600);                                     // start Serial Monitor communication
  while (!Serial) {                                       // wait for the Serial Monitor is ready
  }

  Serial.println("Initializing SD Card...");              // print text to Serial Monitor

  if (!SD.begin(4)) {                                     // if initialization failed do
    Serial.println("initialization failed!");             // print text to Serial Monitor
    Serial.println("");                                   // print empty line to Serial Monitor
    while (1);
  }

  Serial.println("initialization done.");                 // print text to Serial Monitor
  Serial.println("");                                     // print empty line to Serial Monitor

  Serial.println("Opening SD Card.");                     // print text to Serial Monitor
  myFile = SD.open("test.txt", FILE_WRITE);               // open connection to SD card

  if (myFile) {                                           // if file is open do
    Serial.println("Writing data to file: test.txt");     // print text to Serial Monitor
    myFile.println("www.it-teknolog.dk");                 // write text to SD card file
    myFile.close();                                       // close connection to SD card
    Serial.println("Closing SD Card.");                   // print text to Serial Monitor
    Serial.println("done.");                              // print text to Serial Monitor
  } else {
    Serial.println("error opening test.txt");             // if error opening SD card print text to Serial Monitor
  }
}

void loop() {
  // nothing happens after setup
}
